/**
 * @class kPlane
 * @brief Plane functions
 */
 
class kPlane
{
public:

	kPlane(const kVec3&in a, const kVec3&in b);
	kPlane(const kVec3&in a, const kVec3&in b, const kVec3&in c);
	kPlane(const float x1, const float y1, const float x2, const float y2);
	const float Dot(const kPlane&in other);
	const float Dot(const kVec3&in point);
	const kVec3 &Normal();
	const int PointOnSide(const kVec3&in point);
	const bool IsFacing(const float value);
	const float ToYaw();
	const float Distance(const kVec3&in point);
	
};
